<script setup lang="ts">
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";

// onLaunch((options) => {
//   console.log(decodeURIComponent(options?.query.scene));
//   console.log("App Launch");
// });
onShow(() => {
  console.log("App Show");
  //调用  版本更新
});
onHide(() => {
  console.log("App Hide");
});
const autoUpdate = () => {
  if (uni.canIUse("getUpdateManager")) {
    const updateManager = uni.getUpdateManager();
    updateManager.onCheckForUpdate(function (res) {
      if (res.hasUpdate) {
        updateManager.onUpdateReady(function () {
          uni.showModal({
            title: "更新提示",
            content: "新版本已经准备好，是否重启应用？",
            showCancel: false,
            success: function (res) {
              if (res.confirm) {
                updateManager.applyUpdate();
              } else if (res.cancel) {
                uni.showModal({
                  title: "温馨提示~",
                  content: "本次版本更新涉及到新的功能添加，旧版本无法正常访问的哦~",
                  success: function (res) {
                    // autoUpdate();
                    // return;
                    //第二次提示后，强制更新
                    if (res.confirm) {
                      // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                      updateManager.applyUpdate();
                    } else if (res.cancel) {
                      //重新回到版本更新提示
                      autoUpdate();
                    }
                  },
                });
              }
            },
          });
          updateManager.onUpdateFailed(function () {
            // 新的版本下载失败
            uni.showModal({
              title: "已经有新版本了哟~",
              content: "新版本已经上线啦~，请您删除当前小程序，重新搜索打开哟~",
            });
          });
        });
      }
    });
  } else {
    uni.showModal({
      title: "提示",
      content: "当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。",
    });
  }
};
</script>

<style lang="scss">
// 字体图标
@import "@/styles/fonts.scss";

view,
navigator,
input,
scroll-view {
  box-sizing: border-box;
}

button::after {
  border: none;
}

swiper,
scroll-view {
  flex: 1;
  height: 100%;
  overflow: hidden;
}

image {
  width: 100%;
  height: 100%;
  vertical-align: middle;
}

// 两行省略
.ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
</style>
